### Signal

# WPEWebKit AutomationSession::create-web-view

since: 2.18

#### Declaration

    WPEWebKitWebView*
    create_web_view (
      WebKitAutomationSession* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the automation client requests a new browsing context to interact with it. The callback handler should return a `WebKitWebView` created with `WebKitWebView:is-controlled-by-automation` construct property enabled and `WebKitWebView:automation-presentation-type` construct property set if needed.

If the signal is emitted with “tab” detail, the returned `WebKitWebView` should be a new web view added to a new tab of the current browsing context window. If the signal is emitted with “window” detail, the returned `WebKitWebView` should be a new web view added to a new window. When creating a new web view and there’s an active browsing context, the new window or tab shouldn’t be focused.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 2.18

#### Return value

Type: `WebKitWebView`

A `WebKitWebView` widget.

The data is owned by the called function.